ਸਮੱਗਰੀ ਵੱਲ ਜਾਓ

Flashtalk

ਇੰਟੀਗ੍ਰੇਟ ਕਰੋ

ਮਾਡਲ id flashtalk
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/flashtalk?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/avatar/talking_avatar.jpg",
    "audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

ਉਦਾਹਰਨ ਵਰਗੀਆਂ ਫ਼ਾਈਲਾਂ: $0.20 200 API ਕ੍ਰੈਡਿਟ · ≈ ₽21.09 ਤੁਹਾਡੀਆਂ ਫ਼ਾਈਲਾਂ ਚਲਾਉਣ ਤੋਂ ਪਹਿਲਾਂ ਮਾਪੀਆਂ ਜਾਂਦੀਆਂ ਹਨ ਇਸ ਪੰਨੇ ’ਤੇ ਚਲਾਓ

API ਕੁੰਜੀ ਲਵੋ
Open model ਲਿਪਸਿੰਕ ਅਤੇ ਅਵਤਾਰ ਲਿਪਸਿੰਕ #avatar#talking-head#audio-driven#lip-sync

ਤੁਹਾਡੀ ਆਪਣੀ ਸਪੀਚ ਆਡੀਓ ਫ਼ਾਈਲ ਨਾਲ ਚਿਹਰੇ ਦੀ ਇਮੇਜ ਨੂੰ ਐਨੀਮੇਟ ਕਰਕੇ ਲਿਪ-ਸਿੰਕ ਕੀਤਾ ਅਵਤਾਰ ਵੀਡੀਓ ਬਣਾਉਂਦਾ ਹੈ

Open model · ਵੀਡੀਓ

ਤੁਹਾਡਾ ਪਹਿਲਾ ਨਤੀਜਾ ਇੱਥੇ ਹੋਵੇਗਾ

ਹੇਠਾਂ ਬੇਨਤੀ ਬਣਾਓ ਅਤੇ ਆਪਣੀ API ਕੁੰਜੀ ਨਾਲ ਚਲਾਓ। ਆਉਟਪੁੱਟ ਸਾਡੇ ਸਟੋਰੇਜ ਵਿੱਚ ਕਾਪੀ ਕੀਤੇ ਜਾਂਦੇ ਹਨ ਅਤੇ ਹਮੇਸ਼ਾ ਲਈ ਜਾਂ ਮੁਫ਼ਤ ਵਿੱਚ 7 ਦਿਨ ਤੱਕ ਰੱਖੇ ਜਾਂਦੇ ਹਨ।

ਰਿਕਵੈਸਟ ਬਣਾਓ

ਕੰਟਰੋਲ ਮਾਡਲ ਸਕੀਮਾ ਤੋਂ ਤਿਆਰ ਹੁੰਦੇ ਹਨ। ਤੁਸੀਂ ਬਦਲਾਅ ਕਰਦੇ ਹੀ ਕੋਡ ਅਤੇ ਕੀਮਤ ਅੱਪਡੇਟ ਹੋ ਜਾਂਦੇ ਹਨ।

•ਲੋੜੀਂਦਾ image_url
ਫ਼ਾਈਲ ਛੱਡੋ, ਜਾਂ

ਚਿੱਤਰ URL ਰਾਹੀਂ ਦਿੱਤਾ ਚਿਹਰੇ ਦਾ ਹਵਾਲਾ।

•ਲੋੜੀਂਦਾ audio_url
ਫ਼ਾਈਲ ਛੱਡੋ, ਜਾਂ

ਸਪੀਚ ਆਡੀਓ URL, ਜਿਵੇਂ WAV ਜਾਂ MP3 ਫ਼ਾਰਮੈਟ ਵਿੱਚ।

ਉੱਨਤ seed

ਦੁਹਰਾਉਣਯੋਗ ਨਤੀਜਿਆਂ ਲਈ ਰੈਂਡਮਨੈੱਸ ਨੂੰ ਨਿਯੰਤਰਿਤ ਕਰਨ ਵਾਲਾ ਸੀਡ।

POST /run/flashtalk?wait=20 ਕੋਟ → $0.20
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/flashtalk?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/avatar/talking_avatar.jpg",
    "audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

ਇਹ ਬੇਨਤੀ ਚਲਾਓ

ਤੁਹਾਡੀ key ਇਸ ਬ੍ਰਾਊਜ਼ਰ ਵਿੱਚ ਰਹਿੰਦੀ ਹੈ: ਇਹ ਸਿਰਫ਼ Doitong API ਨੂੰ ਭੇਜੀ ਜਾਂਦੀ ਹੈ ਅਤੇ ਸਿਰਫ਼ ਤਾਂ ਹੀ (localStorage) ਵਿੱਚ ਸੁਰੱਖਿਅਤ ਹੁੰਦੀ ਹੈ ਜੇ ਤੁਸੀਂ Remember ਚੁਣੋ। API ਕੁੰਜੀ ਪ੍ਰਾਪਤ ਕਰੋ

Flashtalk ਬਾਰੇ

`image_url` ਵਿੱਚ ਦਿੱਤੇ ਰੈਫ਼ਰੈਂਸ ਚਿਹਰੇ ਅਤੇ `audio_url` ਵਿੱਚ ਦਿੱਤੀ ਰਿਕਾਰਡਿੰਗ (WAV, MP3 ਅਤੇ ਇਸ ਵਰਗੇ) ਤੋਂ ਗੱਲ ਕਰਦਾ ਅਵਤਾਰ ਬਣਾਉਂਦਾ ਹੈ। ਜਦੋਂ ਤੁਹਾਡੇ ਕੋਲ ਪਹਿਲਾਂ ਹੀ ਆਡੀਓ ਹੋਵੇ ਅਤੇ ਚਿਹਰੇ ਨੂੰ ਉਸ ਨਾਲ ਮਿਲਾਉਣਾ ਹੋਵੇ, ਤਾਂ ਇਸ ਦੀ ਵਰਤੋਂ ਕਰੋ। ਨਤੀਜਾ 768x448 ਵੀਡੀਓ 25 FPS 'ਤੇ ਹੁੰਦਾ ਹੈ, ਅਤੇ `seed` ਦੁਹਰਾਏ ਜਾ ਸਕਣ ਵਾਲਾ ਆਉਟਪੁੱਟ ਦਿੰਦਾ ਹੈ।

ਪੈਰਾਮੀਟਰ

ਕੈਨੋਨਿਕਲ ਨਾਮ ਜਾਂ ਨੇਟਿਵ ਨਾਮ ਵਿੱਚੋਂ ਕੋਈ ਇੱਕ ਭੇਜੋ, ਦੋਵੇਂ ਨਹੀਂ। ਕੈਨੋਨਿਕਲ ਨਾਮ

ਨਾਮਕਿਸਮ ਡਿਫ਼ਾਲਟਮਨਜ਼ੂਰਸ਼ੁਦਾ ਵੇਰਵਾ
image_urlਲੋੜੀਂਦਾ image
ਕਿਸਮurl · image
ਚਿੱਤਰ URL ਰਾਹੀਂ ਦਿੱਤਾ ਚਿਹਰੇ ਦਾ ਹਵਾਲਾ।
audio_urlਲੋੜੀਂਦਾ audio
ਕਿਸਮurl · audio
ਸਪੀਚ ਆਡੀਓ URL, ਜਿਵੇਂ WAV ਜਾਂ MP3 ਫ਼ਾਰਮੈਟ ਵਿੱਚ।
seedਵਿਕਲਪਿਕ
ਕਿਸਮinteger | null
ਦੁਹਰਾਉਣਯੋਗ ਨਤੀਜਿਆਂ ਲਈ ਰੈਂਡਮਨੈੱਸ ਨੂੰ ਨਿਯੰਤਰਿਤ ਕਰਨ ਵਾਲਾ ਸੀਡ।
ਲੋੜੀਂਦਾ ਕੈਨੋਨਿਕਲ ਨਾਮ, ਇਹ ਵੀ ਸਵੀਕਾਰਿਆ ਜਾਂਦਾ ਹੈ

ਫ਼ਾਈਲ ਪੈਰਾਮੀਟਰ ਜਨਤਕ https:// URL, 10 MB ਤੱਕ ਦਾ data: URI, ਜਾਂ ਅੱਪਲੋਡ ਦੇ file_url ਨੂੰ ਸਵੀਕਾਰਦੇ ਹਨ। ਫ਼ਾਈਲਾਂ

ਆਉਟਪੁੱਟ

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "flashtalk",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 200,
    "usd": "0.20",
    "charged": 200,
    "refunded": 0
  },
  "input": {
    "image_url": "https://content.doitong.com/images/showcase/v3/avatar/talking_avatar.jpg",
    "audio_url": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    },
    "seed": 42,
    "duration": 5,
    "timings": {}
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ਤੁਹਾਡੀਆਂ ਫ਼ਾਈਲਾਂ, ਤੁਹਾਡੀ ਚੋਣਹਰ outputs[].url ਸਾਡੇ ਸਟੋਰੇਜ ਵਿੱਚ ਇੱਕ ਕਾਪੀ ਹੈ: ਹਮੇਸ਼ਾ ਲਈ ਰੱਖੀ ਜਾਂਦੀ ਹੈ (ਪ੍ਰਤੀ GB-ਮਹੀਨਾ ਭੁਗਤਾਨ) ਜਾਂ 7 ਦਿਨ ਤੱਕ ਮੁਫ਼ਤ, ਤੁਹਾਡੀ ਖਾਤਾ ਸੈਟਿੰਗ ਜਾਂ ?storage= ਅਨੁਸਾਰ।
ਹਰ ਮਾਡਲ ’ਤੇ ਇੱਕੋ ਜਿਹਾ ਰੂਪਤਸਵੀਰਾਂ, ਵੀਡੀਓ ਅਤੇ ਆਡੀਓ ਸਭ ਲਈ type, url, content_type, width, height ਅਤੇ duration। output ਮਾਡਲ ਦਾ ਆਪਣਾ ਨਤੀਜਾ ਆਬਜੈਕਟ ਹੈ।
ਆਉਟਪੁੱਟ ਦੇ ਫ਼ੀਲਡ
video
object {url, content_type, file_name, file_size}ਲਿਪ ਸਿੰਕ੍ਰੋਨਾਈਜ਼ੇਸ਼ਨ ਵਾਲਾ ਆਉਟਪੁੱਟ ਅਵਤਾਰ ਵੀਡੀਓ, 768x448 ਆਕਾਰ ਅਤੇ 25 FPS ਨਾਲ।
seed
integerਸਿਰਜਣਾ ਦੌਰਾਨ ਲਾਗੂ ਕੀਤਾ ਗਿਆ ਸੀਡ ਮੁੱਲ।
duration
numberਸਕਿੰਟਾਂ ਵਿੱਚ ਮਾਪੀ ਵੀਡੀਓ ਦੀ ਲੰਬਾਈ।
timings
objectਸਮੇਂ-ਸਬੰਧੀ ਜਾਣਕਾਰੀ ਦਾ ਵੇਰਵਾ।

AI ਏਜੰਟਾਂ ਲਈ: ਇਹ ਪੰਨਾ Markdown ਵਜੋਂ ਇੱਥੇ ਹੈ https://doitong.com/pa/developers/models/flashtalk.md. ਸਾਰੇ ਮਾਡਲ ਅਤੇ ਗਾਈਡ: https://doitong.com/developers/llms.txt